DummyClassGenerator (Groovy 5.0.8)

Package: org.codehaus.groovy.classgen

## [Java] Class DummyClassGenerator

- org.codehaus.groovy.classgen.DummyClassGenerator

-     public class DummyClassGenerator
      extends ClassGenerator

  To generate a class that has all the fields and methods, except that fields are not initialized and methods are empty. It's intended for being used as a placeholder during code generation of reference to the "this" class itself.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassGenerator` | `innerClasses`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DummyClassGenerator(GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompileUnit` | `getCompileUnit()`
    `` | `public void` | `visitAnnotations(AnnotatedNode node)`
    `` | `public void` | `visitClass(ClassNode classNode)`
    `` | `public void` | `visitConstructor(ConstructorNode node)`
    `` | `public void` | `visitField(FieldNode fieldNode)`
    `` | `public void` | `visitMethod(MethodNode node)`
    `` | `protected void` | `visitParameter(ASTNode node, Parameter parameter)`
    `` | `protected void` | `visitParameters(ASTNode node, Parameter[] parameters)`
    `` | `public void` | `visitProperty(PropertyNode statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassGenerator` | `getInnerClasses, getSourceUnit, visitBytecodeSequence`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public DummyClassGenerator(GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)

  - ### Method Detail

    - #### protected CompileUnit getCompileUnit()

    - #### @Override
      public void visitAnnotations(AnnotatedNode node)

    - #### @Override
      public void visitClass(ClassNode classNode)

    - #### @Override
      public void visitConstructor(ConstructorNode node)

    - #### @Override
      public void visitField(FieldNode fieldNode)

    - #### @Override
      public void visitMethod(MethodNode node)

    - #### protected void visitParameter(ASTNode node, Parameter parameter)

    - #### protected void visitParameters(ASTNode node, Parameter[] parameters)

    - #### @Override
      public void visitProperty(PropertyNode statement)